View Issue Details

IDProjectCategoryView StatusLast Update
0003842SketcherBugpublic2020-06-05 17:23
Reporteruwestoehr Assigned Toabdullah  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.18 
Target Version0.19Fixed in Version0.19 
Summary0003842: undo of move operation results in new state
Description- input a hexagon to a sketch via the corresponding toolbar button
- select a line of the hexagon at the right side (not the complete hexagon)
- use the new move toolbar button
- set the movement vector to the left (so that it crosses the hexagon)

Now you see that you made a mistake because e.g. you wanted to move the whole hexagon, therefore

- press undo

result: you will need 2 undo steps and the result is not the same as before the movement action.
Additional Informationforum thread: https://forum.freecadweb.org/viewtopic.php?f=3&t=34253&start=10#p287301
Tagsundo
FreeCAD Information

Activities

Kunda1

2019-08-23 02:48

administrator   ~0013459

Set 0.19 target

abdullah

2020-05-31 07:20

manager   ~0014450

PR:
https://github.com/FreeCAD/FreeCAD/pull/3536

abdullah

2020-05-31 18:55

manager   ~0014452

git commit 28222fe066b60ae5c99dce4e5b022d270cad250f

abdullah

2020-06-05 17:23

manager   ~0014475

Fix committed to master branch.

Related Changesets

FreeCAD: master 28222fe0

2020-05-31 07:16:01

abdullah


Committer: abdullahtahiriyo Details Diff
Sketcher: Fix undo on moving geometry

=====================================

fixes 0003842
Affected Issues
0003842
mod - src/Mod/Sketcher/App/SketchObject.cpp Diff File

Issue History

Date Modified Username Field Change
2019-02-16 18:38 uwestoehr New Issue
2019-02-16 20:59 wmayer Assigned To => abdullah
2019-02-16 20:59 wmayer Status new => confirmed
2019-08-23 02:48 Kunda1 Fixed in Version => 0.19
2019-08-23 02:48 Kunda1 Note Added: 0013459
2019-08-23 02:51 Kunda1 Fixed in Version 0.19 =>
2019-08-23 02:51 Kunda1 Target Version => 0.19
2020-02-20 21:07 Kunda1 Tag Attached: undo
2020-05-31 07:20 abdullah Note Added: 0014450
2020-05-31 18:55 abdullah Status confirmed => closed
2020-05-31 18:55 abdullah Resolution open => fixed
2020-05-31 18:55 abdullah Fixed in Version => 0.19
2020-05-31 18:55 abdullah Note Added: 0014452
2020-06-05 17:23 abdullah Changeset attached => FreeCAD master 28222fe0
2020-06-05 17:23 abdullah Note Added: 0014475